Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

45 lines (43 sloc) 2.138 kb
language: python
python:
- 2.6
- 2.7
env:
- DJANGO_VERSION="<1.6" TASTYPIE_VERSION="<0.10.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.6" TASTYPIE_VERSION="<0.11.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.6" TASTYPIE_VERSION="<0.12.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.6" TASTYPIE_VERSION="" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.7" TASTYPIE_VERSION="<0.10.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.7" TASTYPIE_VERSION="<0.11.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.7" TASTYPIE_VERSION="<0.12.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="<1.7" TASTYPIE_VERSION="" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="" TASTYPIE_VERSION="<0.10.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="" TASTYPIE_VERSION="<0.11.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="" TASTYPIE_VERSION="<0.12.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- DJANGO_VERSION="" TASTYPIE_VERSION="" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
matrix:
exclude:
- python: 2.6
env: DJANGO_VERSION="" TASTYPIE_VERSION="<0.10.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- python: 2.6
env: DJANGO_VERSION="" TASTYPIE_VERSION="<0.11.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- python: 2.6
env: DJANGO_VERSION="" TASTYPIE_VERSION="<0.12.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
- python: 2.6
env: DJANGO_VERSION="" TASTYPIE_VERSION="" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
allow_failures: # tastypie 0.10.0 is incompatible with django1.7, imports django.utils.simplejson
- python: 2.7
env: DJANGO_VERSION="" TASTYPIE_VERSION="<0.11.0" MONGOENGINE_VERSION=">=0.8.1,<0.8.2"
services: mongodb
install:
- pip install "Django$DJANGO_VERSION"
- pip install "django-tastypie$TASTYPIE_VERSION"
- pip install "mongoengine$MONGOENGINE_VERSION"
- pip install pep8 --use-mirrors
- pip install pylint --use-mirrors
- python setup.py install
before_script:
- pep8 tastypie_mongoengine tests
- pylint tastypie_mongoengine tests || true
script:
- python -Wall setup.py test
Jump to Line
Something went wrong with that request. Please try again.